FluentValidator 2.0.4

Fluent Validator is a fluent way to use Notification Pattern with your entities

Install-Package FluentValidator -Version 2.0.4
dotnet add package FluentValidator --version 2.0.4
<PackageReference Include="FluentValidator" Version="2.0.4" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add FluentValidator --version 2.0.4
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: FluentValidator, 2.0.4"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install FluentValidator as a Cake Addin
#addin nuget:?package=FluentValidator&version=2.0.4

// Install FluentValidator as a Cake Tool
#tool nuget:?package=FluentValidator&version=2.0.4
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

FluentValidator

Fluent Validator is a fluent way to use Notification Pattern with your entities

Dependencies

.NET Standard 1.3+

You can check supported frameworks here:

https://docs.microsoft.com/pt-br/dotnet/standard/net-standard

Instalation

This package is available through Nuget Packages: https://www.nuget.org/packages/FluentValidator

Install-Package FluentValidator

Older Versions

We are moving to a new structure, with new namespaces, if you need to use our old version, try this:

Install-Package FluentValidator -Version 1.0.5

1.0.5 was the latest stable version

Signifcant Changes

We removed reflection to increase performance, changed namespace and folders and externalize contracts from entities, so take a close look on our Wiki to learn how to use it.

How to Use

Just check our Wiki

https://github.com/andrebaltieri/FluentValidator/wiki

FluentValidator

Fluent Validator is a fluent way to use Notification Pattern with your entities

Dependencies

.NET Standard 1.3+

You can check supported frameworks here:

https://docs.microsoft.com/pt-br/dotnet/standard/net-standard

Instalation

This package is available through Nuget Packages: https://www.nuget.org/packages/FluentValidator

Install-Package FluentValidator

Older Versions

We are moving to a new structure, with new namespaces, if you need to use our old version, try this:

Install-Package FluentValidator -Version 1.0.5

1.0.5 was the latest stable version

Signifcant Changes

We removed reflection to increase performance, changed namespace and folders and externalize contracts from entities, so take a close look on our Wiki to learn how to use it.

How to Use

Just check our Wiki

https://github.com/andrebaltieri/FluentValidator/wiki

Release Notes

- Implemented IValidatable interface
- Implemented IsEmailOrEmpty and IsUrlOrEmpty
- Bug fixes

NuGet packages (1)

Showing the top 1 NuGet packages that depend on FluentValidator:

Package Downloads
RSoft.Framework
Standard development framework adopted by RSoft (DDD)

GitHub repositories

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
2.0.4 97,780 10/10/2017
2.0.3 717 10/3/2017
2.0.2 2,695 9/29/2017
2.0.1 672 9/28/2017
2.0.0 778 9/26/2017
1.0.5 5,203 1/30/2017
1.0.4 906 1/30/2017
1.0.3 693 1/30/2017
1.0.2 781 1/22/2017
1.0.1 698 1/22/2017
1.0.0 809 1/22/2017